Loading...
Searching...
No Matches
HeapUnionFind< V, IM, Comp >::ClassIt Class Reference

## Detailed Description

template<typename V, typename IM, typename Comp = std::less<V>>
class lemon::HeapUnionFind< V, IM, Comp >::ClassIt

The iterator stores

`#include <lemon/unionfind.h>`

## Public Member Functions

bool | operator== (const ClassIt &i)
| Equality operator.
bool | operator!= (const ClassIt &i)
| Inequality operator.

## Member Function Documentation

## operator==()

template<typename V, typename IM, typename Comp = std::less<V>>

bool operator== | ( | const ClassIt & | i | ) |

inline

Equality operator

## operator!=()

template<typename V, typename IM, typename Comp = std::less<V>>

bool operator!= | ( | const ClassIt & | i | ) |

inline

Inequality operator